motivation-maybe
@motivation-maybe

Как исправить ошибку при смене уровня API в Android Studio?

Решил впервые взяться за Android Studio и развиться в этом плане, соответственно начинающий.

Я нашел старый уже готовый проект и редактировал под себя, оттачивая свои навыки, но...
Когда я меняю уровень API с 28 на 30 у меня появляется ошибка:

project\app\src\main\java\com\name\appname\download.kt: (174, 39): Only safe (?.) or non-null asserted (!!.) calls are allowed on a nullable receiver of type ClipData?

На этом поле находится следующий код:

view.ivLink.setOnClickListener(fun(view: View) {
            val clipBoardManager =
                context!!.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager

            val primaryClipData = clipBoardManager.primaryClip
(174)       val clip = primaryClipData.getItemAt(0).text.toString()

            etURL.text = Editable.Factory.getInstance().newEditable(clip)
            DownloadVideo(clip);
        })


Подскажите пожалуйста как исправить? Буду благодарен.
Ошибка только на 30 версии SDK, на 28 все нормально.
  • Вопрос задан
  • 85 просмотров
Пригласить эксперта
Ответы на вопрос 1
AgentSmith
@AgentSmith
Это мой ответ на твой вопрос
Вот решение:
Only safe (?.) or non-null asserted (!!.) calls are allowed on a nullable receiver of type ClipData

Nullable - это первая глава в любой книге по Котлину. Иди изучай язык
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы